package cn.com.poc.agent_application.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AgentPluginQuery
 */
@Entity
public class AgentPluginQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** plugin_id
    *plugin_id
    */ 
    private java.lang.String pluginId;
    
    @Column(name = "plugin_id")
    public java.lang.String getPluginId(){
        return this.pluginId;
    }
    
    public void setPluginId(java.lang.String pluginId){
        this.pluginId = pluginId;
    }
    
    /** points
    *points
    */ 
    private java.lang.Double points;
    
    @Column(name = "points")
    public java.lang.Double getPoints(){
        return this.points;
    }
    
    public void setPoints(java.lang.Double points){
        this.points = points;
    }
    
    /** classification
    *classification
    */ 
    private java.lang.String classification;
    
    @Column(name = "classification")
    public java.lang.String getClassification(){
        return this.classification;
    }
    
    public void setClassification(java.lang.String classification){
        this.classification = classification;
    }
    
    /** icon
    *icon
    */ 
    private java.lang.String icon;
    
    @Column(name = "icon")
    public java.lang.String getIcon(){
        return this.icon;
    }
    
    public void setIcon(java.lang.String icon){
        this.icon = icon;
    }
    
    /** parent_zh_cn_name
    *parent_zh_cn_name
    */ 
    private java.lang.String parentZhCnName;
    
    @Column(name = "parent_zh_cn_name")
    public java.lang.String getParentZhCnName(){
        return this.parentZhCnName;
    }
    
    public void setParentZhCnName(java.lang.String parentZhCnName){
        this.parentZhCnName = parentZhCnName;
    }
    
    /** parent_zh_tw_name
    *parent_zh_tw_name
    */ 
    private java.lang.String parentZhTwName;
    
    @Column(name = "parent_zh_tw_name")
    public java.lang.String getParentZhTwName(){
        return this.parentZhTwName;
    }
    
    public void setParentZhTwName(java.lang.String parentZhTwName){
        this.parentZhTwName = parentZhTwName;
    }
    
    /** parent_en_name
    *parent_en_name
    */ 
    private java.lang.String parentEnName;
    
    @Column(name = "parent_en_name")
    public java.lang.String getParentEnName(){
        return this.parentEnName;
    }
    
    public void setParentEnName(java.lang.String parentEnName){
        this.parentEnName = parentEnName;
    }
    
    /** zh_cn_title
    *zh_cn_title
    */ 
    private java.lang.String zhCnTitle;
    
    @Column(name = "zh_cn_title")
    public java.lang.String getZhCnTitle(){
        return this.zhCnTitle;
    }
    
    public void setZhCnTitle(java.lang.String zhCnTitle){
        this.zhCnTitle = zhCnTitle;
    }
    
    /** zh_tw_title
    *zh_tw_title
    */ 
    private java.lang.String zhTwTitle;
    
    @Column(name = "zh_tw_title")
    public java.lang.String getZhTwTitle(){
        return this.zhTwTitle;
    }
    
    public void setZhTwTitle(java.lang.String zhTwTitle){
        this.zhTwTitle = zhTwTitle;
    }
    
    /** en_title
    *en_title
    */ 
    private java.lang.String enTitle;
    
    @Column(name = "en_title")
    public java.lang.String getEnTitle(){
        return this.enTitle;
    }
    
    public void setEnTitle(java.lang.String enTitle){
        this.enTitle = enTitle;
    }
    
    /** zh_cn_desc
    *zh_cn_desc
    */ 
    private java.lang.String zhCnDesc;
    
    @Column(name = "zh_cn_desc")
    public java.lang.String getZhCnDesc(){
        return this.zhCnDesc;
    }
    
    public void setZhCnDesc(java.lang.String zhCnDesc){
        this.zhCnDesc = zhCnDesc;
    }
    
    /** zh_tw_desc
    *zh_tw_desc
    */ 
    private java.lang.String zhTwDesc;
    
    @Column(name = "zh_tw_desc")
    public java.lang.String getZhTwDesc(){
        return this.zhTwDesc;
    }
    
    public void setZhTwDesc(java.lang.String zhTwDesc){
        this.zhTwDesc = zhTwDesc;
    }
    
    /** en_desc
    *en_desc
    */ 
    private java.lang.String enDesc;
    
    @Column(name = "en_desc")
    public java.lang.String getEnDesc(){
        return this.enDesc;
    }
    
    public void setEnDesc(java.lang.String enDesc){
        this.enDesc = enDesc;
    }
    
} 